// XmlIOServer
#include "xmlioserver.hpp"

#include "attribute_template_impl.hpp"
#include "group_template_impl.hpp"

#include "fake.hpp"

// Point d'entrée du programme principal
int main(int argc, char ** argv, char ** UNUSED(env))
{
   try
   {
      comm::CMPIManager::Initialise(&argc, &argv); // < seulement en mode connecté
     
      CXIOSManager::Initialise(CXIOSManager::CLIENT, &argc, &argv);
      CXIOSManager::AddClient("nemo",
                              CMPIManager::GetCommSize(CMPIManager::GetCommWorld()),
                              CMPIManager::GetCommSize(CMPIManager::GetCommWorld()),
                              &nemo_fake_entry);
      CXIOSManager::RunClient();
      CXIOSManager::Finalize();

      comm::CMPIManager::Finalize(); // < seulement en mode connecté
      
      //CXIOSManager::AddClient("orchidee", 1, 1, &orchidee_fake_entry);
      //CXIOSManager::AddClient("lmdz"    , 2, 2, &lmdz_fake_entry);
      //CXIOSManager::RunClientServer();

   }
   catch (CException & exc)
   {
      std::cerr << exc.getMessage() << std::endl;
      CMPIManager::Finalize();
      return (EXIT_FAILURE);
   }
   return (EXIT_SUCCESS);
}

